import requests
import json

def diagnose_kuaishou_user(user_id):
    # 请求的 URL 和头部信息
    url = "https://app.m.kuaishou.com/violation/v4/apus/violation-diagnosis/search/violation"
    headers = {
        "Host": "app.m.kuaishou.com",
        "Connection": "keep-alive",
        "Content-Length": "46",
        "Accept": "application/json",
        "User-Agent": "Mozilla/5.0 (Linux; Android 13; V2130A Build/TP1A.220624.014; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/90.0.4430.226 KsWebView/1.8.90.770 (rel;r) Mobile Safari/537.36 Yoda/3.2.9-rc8 ksNebula/13.0.10.9375 OS_PRO_BIT/64 MAX_PHY_MEM/7570 KDT/PHONE AZPREFIX/az2 ICFO/0 StatusHT/28 TitleHT/44 NetType/WIFI ISLP/0 ISDM/0 ISLB/0 locale/zh-cn DPS/8.41 DPP/66 SHP/2198 SWP/1080 SD/3.0 CT/0 ISLM/0",
        "Content-Type": "application/json;charset=UTF-8",
        "Origin": "https://app.m.kuaishou.com",
        "X-Requested-With": "com.kuaishou.nebula",
        "Sec-Fetch-Site": "same-origin",
        "Sec-Fetch-Mode": "cors",
        "Sec-Fetch-Dest": "empty",
        "Referer": "https://app.m.kuaishou.com/violation/diagnose-tool",
        "Accept-Encoding": "gzip, deflate",
        "Accept-Language": "zh-CN,zh;q=0.9,en-US;q=0.8,en;q=0.7",
        "Cookie": "kpn=NEBULA; kpf=ANDROID_PHONE; userId=4473150766; did=ANDROID_9edfc74395eacee5; c=VIVO; ver=13.0; appver=13.0.10.9375; language=zh-cn; countryCode=CN; sys=ANDROID_13; mod=vivo%28V2130A%29; net=WIFI; deviceName=vivo%28V2130A%29; earphoneMode=1; isp=CMCC; ud=4473150766; did_tag=0; egid=DFPC313403FFD5777C8FCA0742076A1229344EAA584BCDEC706B35116ECBF665; thermal=10000; kcv=1596; app=0; bottom_navigation=true; android_os=0; oDid=ANDROID_9edfc74395eacee5; boardPlatform=mt6877; newOc=VIVO; androidApiLevel=33; slh=0; country_code=cn; nbh=126; hotfix_ver=; did_gt=1737815585184; keyconfig_state=2; cdid_tag=7; max_memory=256; sid=9e463a03-fc7a-44e6-84ff-a81bfa3ded34; cold_launch_time_ms=1738316840353; oc=VIVO; sh=2400; deviceBit=0; browseType=3; ddpi=480; socName=MediaTek+MT6877V%2FZA; is_background=0; sw=1080; ftt=; apptype=22; abi=arm64; cl=0; userRecoBit=0; device_abi=arm64; icaver=1; totalMemory=7570; grant_browse_type=AUTHORIZED; iuid=; rdid=ANDROID_233bbfa1a9b6fd2c; sbh=84; darkMode=false; kuaishou.api_st=Cg9rdWFpc2hvdS5hcGkuc3QSoAEcH0f24YN6NwM3dE4YYEfaAgyEm5XiCcMv5NMFOUrcfQtnFaj7Q1lwFx7LFBbjxAnpYMEi5oPyuOui6gjuxySEvkvjp0cE0DNKdWwXCzawczKKKkAqlgWw0bopNA1RjZjeSYH6k2kocmvoJJqnybvA7M6bd9cHVfdU6oIcQyxiW9UPNEh8ZgUBDxAVq4ctkOeeZF7N3Ntv9m10UtfvXjjOGhJrNN-fL8lNH4AKLNFPdkh-L7kiIDRIverGTK6DzACqXUsU5Gj0hl8ByWwxT7IFPZTYzuUKKAUwAQ; __NSWJ=; client_key=2ac2a76d; kuaishou.h5_st=Cg5rdWFpc2hvdS5oNS5zdBKgASI-5SC5z6klvXzosWcvjRgo1ysricPMQEPwVjW5qbnfzmSey6GzINfJRKFQ6uy7L-BkA8mD2cejvQC8suVl6Td5Z27JF_fcWU1UzQPNPmREaOGoF1r5EppOi_7xIYAjifm1pM5F08Kga2bVcsRIDyZXh7fHOHMF5HoWOd2nNrD5uTDBlLD-dbyRowD-dxvBu3JFZyjvnFyM4oQYs251hNEaEvphX81WaAWh_Ys27fjFOfHVkCIgPS1lKPzB9WATmaFqM-3HRKMJ8Ly2ncWS9G2wdeTSaNooBTAB; token="
    }

    # 请求体
    data = {
        "userId": user_id,
        "requestSource": "violation_diagnosis_result"
    }

    try:
        # 发送 POST 请求
        response = requests.post(url, headers=headers, data=json.dumps(data))
        response.raise_for_status()  # 检查请求是否成功
        result = response.json()

        # 打印诊断结果
        if result.get("result") == 1:
            user_info = result["data"]["userInfo"]
            diagnosis_result = result["data"]["diagnosisResult"]
            print(f"用户ID: {user_info['userKSId']}")
            print(f"用户名: {user_info['userName']}")
            print(f"头像: {user_info['headImg']}")
            print(f"诊断结果: {diagnosis_result['supplement']}")
            print(f"诊断状态: {diagnosis_result['violationStatus']}")
            print(f"诊断描述: {diagnosis_result['diagnosisDesc']}")
            print(f"结果提示: {diagnosis_result['resultTips']}")
        else:
            print(f"请求失败，返回结果: {result}")
    except requests.exceptions.RequestException as e:
        print(f"请求失败: {e}")

# 主函数
if __name__ == "__main__":
    user_id = input("春洛看快手是否违规：请输入快手号: ")
    diagnose_kuaishou_user(user_id)

